Index: trunk/src/subprojects/benchmark.cc
===================================================================
--- trunk/src/subprojects/benchmark.cc	(revision 9110)
+++ trunk/src/subprojects/benchmark.cc	(revision 9406)
@@ -56,5 +56,5 @@
 
   // first measure the time overhead:
-  unsigned long ini, end, dt, tmp;
+  unsigned long ini, end, dt;
   rdtscl(ini); rdtscl(end);
   dt = end - ini;
@@ -172,5 +172,4 @@
 
       mittel = 0;
-      BaseObject* bo = new BaseObject();
       for(i = 0; i < ITERATIONS; ++i)
         {
Index: trunk/src/subprojects/collision_detection/collision_test_entity.cc
===================================================================
--- trunk/src/subprojects/collision_detection/collision_test_entity.cc	(revision 9110)
+++ trunk/src/subprojects/collision_detection/collision_test_entity.cc	(revision 9406)
@@ -25,5 +25,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 CREATE_FACTORY(CollisionTestEntity, CL_ENVIRONMENT);
 
Index: trunk/src/subprojects/network/network_unit_test.cc
===================================================================
--- trunk/src/subprojects/network/network_unit_test.cc	(revision 9110)
+++ trunk/src/subprojects/network/network_unit_test.cc	(revision 9406)
@@ -205,13 +205,13 @@
 
   /* create a server stream */
-  nm->createServer(port);
+  nm->createMasterServer(port);
 
   /* esatblish a connection */
-  IPaddress ip;
+  IP ip;
   int error = SDLNet_ResolveHost(&ip, "127.0.0.1", port);
   //SDLNet_ResolveHost(&ip, "localhost", port);
   if(error == -1)
     printf("\n\nerror on address resolution, program inconsistancy\n\n");
-  nm->establishConnection("localhost", port);
+  nm->createClient("localhost", port);
   nm->connectSynchronizeable( *clientSync );
   /* adding some break for connection setup */
@@ -262,5 +262,5 @@
   netMan->initialize();
   
-  netMan->createServer(/**ss, */ 9999);
+  netMan->createMasterServer(/**ss, */ 9999);
   
   SimpleSync* ss = new SimpleSync("Server");
@@ -307,5 +307,5 @@
     host = "localhost";
   
-  netMan->establishConnection(host, 9999);
+  netMan->createClient(host, 9999);
   
 //  SimpleSync* ss = new SimpleSync("SimpleSync");
@@ -353,5 +353,5 @@
   printf("Connecting to %s, on port %i\n", name, port);
 
-  IPaddress ip;
+  IP ip;
   int error = SDLNet_ResolveHost(&ip, name, port);
   if(error == -1)
@@ -361,5 +361,5 @@
   Synchronizeable* ss = new SimpleSync("SimpleSync\0");
 
-  netMan->establishConnection( name, port );
+  netMan->createClient( name, port );
   netMan->connectSynchronizeable( *ss );
 
Index: trunk/src/subprojects/recapture_mouse/Makefile.am
===================================================================
--- trunk/src/subprojects/recapture_mouse/Makefile.am	(revision 9406)
+++ trunk/src/subprojects/recapture_mouse/Makefile.am	(revision 9406)
@@ -0,0 +1,29 @@
+MAINSRCDIR=../..
+include $(MAINSRCDIR)/defs/include_paths.am
+
+LIB_PREFIX=$(MAINSRCDIR)/lib
+include $(MAINSRCDIR)/lib/BuildLibs.am
+
+
+importer_LDFLAGS = \
+		$(MWINDOWS)
+
+
+bin_PROGRAMS = \
+		recapturemouse
+
+
+DEPENDENCIES = \
+		$(MAINSRCDIR)/world_entities/libORXwe.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/util/libORXutils.a
+
+LDADD = \
+		$(MAINSRCDIR)/util/libORXutils.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/world_entities/libORXwe.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/util/libORXutils.a
+
+recapturemouse_SOURCES= \
+		recapturer.cc
Index: trunk/src/subprojects/recapture_mouse/recapturer.cc
===================================================================
--- trunk/src/subprojects/recapture_mouse/recapturer.cc	(revision 9406)
+++ trunk/src/subprojects/recapture_mouse/recapturer.cc	(revision 9406)
@@ -0,0 +1,27 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+
+   this file extends the framework file, so it renders what i want.
+*/
+
+#include "event_handler.h"
+
+int verbose = 3;
+
+int main(int argc, char** argv)
+{
+  EventHandler::getInstance()->grabEvents(true);
+  EventHandler::getInstance()->grabEvents(false);
+  exit(-1);
+}
